Bug 89094 - [SNB/IVB/HSW/BYT Bisected]Ogles3conform ES3-CTS.gtf.GL3Tests.shadow.shadow_execution_vert fails
Summary: [SNB/IVB/HSW/BYT Bisected]Ogles3conform ES3-CTS.gtf.GL3Tests.shadow.shadow_ex...
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: high normal
Assignee: Francisco Jerez
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-12 01:48 UTC by lu hua
Modified: 2015-03-02 07:51 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
output (232.12 KB, text/plain)
2015-02-12 01:48 UTC, lu hua
Details
i965_vec4_override_texture_writemask.patch (572 bytes, patch)
2015-02-12 08:20 UTC, Francisco Jerez
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2015-02-12 01:48:03 UTC
Created attachment 113382 [details]
output

System Environment:
--------------------------
Platform: SNB
Libdrm:         (master)libdrm-2.4.59-10-gde8532dd8359dfdaba839ff61fc9e2f05eaf57d3
Mesa:           (master)ea0f0eb6c0a8b20bcce50c63170df94892a51142
Xserver:        (master)xorg-server-1.17.0-2-g20079c36cf7d377938ca5478447d8b9045cb7d43
Xf86_video_intel: (master)2.99.917-111-g8ef3fdacac05ee93b685a93f6664696d026e889e
Libva:          (master)f9741725839ea144e9a6a1827f74503ee39946c3
Libva_intel_driver:   (master)9a20d6c34cb65e5b85dd16d6c8b3a215c5972b18
Kernel:  drm-intel-nightly/34f9b98d3e64c8df349816115ea5a560a6763ce8

ug detailed description:
---------------------------
It fails on SNB/IVB/HSW/BYT with mesa master branch, works well on 10.4 branch.
Bisect shows: 16b911257440afbd77a6eb762e28df62e3c19bc7 is the first bad commit
commit 16b911257440afbd77a6eb762e28df62e3c19bc7
Author:     Francisco Jerez <currojerez@riseup.net>
AuthorDate: Tue Feb 3 22:53:17 2015 +0200
Commit:     Francisco Jerez <currojerez@riseup.net>
CommitDate: Tue Feb 10 19:09:24 2015 +0200

    i965/vec4: Pass dst register to the vec4_instruction constructor.

    So regs_written gets initialized with a sensible value.

    Reviewed-by: Matt Turner <mattst88@gmail.com>

Reproduce steps:
-------------------------
1. xinit
2. ./glcts --deqp-case=ES3-CTS.gtf.GL3Tests.shadow.shadow_execution_vert
Comment 1 Francisco Jerez 2015-02-12 08:20:40 UTC
Created attachment 113393 [details] [review]
i965_vec4_override_texture_writemask.patch

Can you re-run with the attached patch?

Thanks.
Comment 2 lu hua 2015-02-13 07:43:19 UTC
(In reply to Francisco Jerez from comment #1)
> Created attachment 113393 [details] [review] [review]
> i965_vec4_override_texture_writemask.patch
> 
> Can you re-run with the attached patch?
> 
> Thanks.

Fixed by this patch.

Test run totals:
  Passed:        1/1 (100.00%)
  Failed:        0/1 (0.00%)
  Not supported: 0/1 (0.00%)
  Warnings:      0/1 (0.00%)
Comment 3 Francisco Jerez 2015-02-16 11:51:18 UTC
Thanks, fix pushed as 946e29847bb6bca18244192bad8058922ae0a948.
Comment 4 lu hua 2015-03-02 07:51:20 UTC
Verified.Fixed.


bug/show.html.tmpl processed on Mar 24, 2017 at 12:07:01.
(provided by the Example extension).